---
title: "列出监控的 Instagram 账号"
canonical_url: "https://tweetstream.io/zh-cn/docs/api/list-instagram-accounts"
last_updated: 2026-11-05
---

# 列出监控的 Instagram 账号

列出监控列表中的 Instagram 账号和你的账号额度。

Canonical URL: https://tweetstream.io/zh-cn/docs/api/list-instagram-accounts

## `GET /api/instagram/accounts`

`https://api.tweetstream.io/api/instagram/accounts`

## 授权

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `Authorization` | `string`, 必填 | 使用 TweetStream API 密钥进行 Bearer 认证：`Bearer <key>`。 |

## 响应字段

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `accounts` | `object[]`, 必填 |  |
| `accounts.username` | `string`, 必填 |  |
| `accounts.state` | `enum<string>`, 必填 | `live`: watched now. `pending`: added, and watching starts shortly. `paused`: over your current limit, so not watched. |
| `accounts.createdAt` | `string`, 必填 |  |
| `limit` | `integer`, 必填 |  |
| `websocketIncluded` | `boolean`, 必填 |  |

## 响应

| 状态 | 说明 | 请求头 |
| --- | --- | --- |
| `200` | 成功 |  |
| `401` | API key 缺失或无效 |  |
| `403` | 已认证的账号无法使用此功能 |  |
| `500` | 请求未能完成 |  |
| `503` | Instagram 账号管理暂时不可用 |  |

### 200

```json
{
  "accounts": [
    {
      "username": "<string>",
      "state": "live",
      "createdAt": "2026-01-01T00:00:00Z"
    }
  ],
  "limit": 0,
  "websocketIncluded": true
}
```

### 401

```json
{
  "error": "<string>"
}
```

### 403

```json
{
  "error": "<string>"
}
```

### 500

```json
{
  "error": "<string>"
}
```

### 503

```json
{
  "error": "<string>"
}
```

## 代码示例

### cURL

```bash
curl --request GET \
  --url https://api.tweetstream.io/api/instagram/accounts \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY"
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/instagram/accounts", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
  },
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.get(
    "https://api.tweetstream.io/api/instagram/accounts",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
)

print(response.status_code, response.json())
```
